Package Details: tastyworks 1.13.0-1

Git Clone URL: https://aur.archlinux.org/tastyworks.git (read-only, click to copy)
Package Base: tastyworks
Description: One of the fastest, most reliable, and most secure trading platforms in the world.
Upstream URL: https://tastyworks.com/
Keywords: futures market stocks trading
Licenses: custom:commercial
Conflicts: tastyworks-bin
Submitter: TheChickenMan
Maintainer: oneofone
Last Packager: oneofone
Votes: 8
Popularity: 0.23
First Submitted: 2018-08-12 05:22
Last Updated: 2021-02-05 01:43

Latest Comments

1 2 Next › Last »

oneofone commented on 2021-01-28 18:06

@Alkaris right now it requires that the default system JVM to be >= 11, I didn't want to hardcode a specific jvm because for example I personally use zulu and it gives a bit better performance.

Alkaris commented on 2021-01-28 17:11

Tastyworks doesn't appear to launch correctly because its looking for libjli.so in the wrong directory.

Cannot find libjli.so!Failed to find library. /usr/lib/jvm/default-runtime/lib/jli/libjli.so

correct directory it should point to, depending on whatever version of Java and JVM installed should be of either the following;

/usr/lib/jvm/java-11-openjdk/lib/jli/libjli.so
/usr/lib/jvm/java-8-openjdk/jre/lib/amd64/jli/libjli.so

hdante commented on 2020-12-22 12:21

Hello, tastyworks is too small on HiDPI screen, how can I fix this ?

oneofone commented on 2020-10-03 19:23

@caltgin fixed, rewrote the package completely.

j-estr commented on 2020-08-25 22:30

Anyone else get this error message when trying to play videos, and have any ideas how to fix?

Failed to play video ERROR_GSTREAMER_ELEMENT_CREATE: ERROR_GSTREAMER_ELEMENT_CREATE

whight commented on 2020-08-21 03:58

@TheChickenMan

Do you mind sharing what you were working on with java-openjfx? It seems there is an exception raised by the library when I click on a bid/ask price, and it causes the UI to not draw properly across the whole window, and some elements appear on top of each other or upside down.

guynamed_rob commented on 2020-07-31 17:21

Installed and packaged upgraded itself to latest version.

cloudrck commented on 2020-05-09 03:27

Hello,

They're on version 1.5.2 on their Linux build. Any plans on updating this package?

Much Appreciated for having this package up here, I was afraid I was going to have to build this script from scratch.

TheChickenMan commented on 2020-01-15 17:33

Sorry about that. I hadn't tested the package with older versions of Java. My goal here was to reduce some of the extra redundant stuff that needs to be downloaded and installed as part of the package.

I also have one test VM that I periodically run on which sometimes has issues I believe are related to the bundled or update downloaded version of java-openjfx and possibly the execute permissions on that machine's home directory. That isn't an issue with the package but with the program in general (and that machine). I have some additional things that I'm testing to try to make things a bit more reliable and elegant but need to work on it more before trying them here.

bunbun commented on 2020-01-09 19:42

cschmid, check your version of java set as default. I ran old tastyworks with java-8-openjdk until I ran into that same error after updating. I had to install and use java-11-openjdk as it complained that 10 was too old. I think the dependencies list needs to be updated.